This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 299791 - Unable to remove block device
Unable to remove block device
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 04:01 EDT by Adam Tkac
Modified: 2013-04-30 19:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 22:58:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2007-09-21 04:01:45 EDT
Description of problem:
I'm unable to remove block device from guest through virt-manager

Version-Release number of selected component (if applicable):
rpm -q virt-manager
virt-manager-0.5.0-1.fc8

How reproducible:
always

Steps to Reproduce:
1. right click on machine-> details -> hardware
2. try remove block device
  
Actual results:
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/details.py", line 469, in remove_disk
    vbd = virtinst.VirtualDisk(path=diskinfo[1], type=diskinfo[0],
device=diskinfo[2])
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 87, in __init__
    raise ValueError, _("The specified block device does not exist.")
ValueError: The specified block device does not exist.

Expected results:
device is removed
Comment 1 Daniel Berrange 2007-09-26 22:58:25 EDT
The code for removing a block device was using wrong logic. This is fixed in
0.5.1 which just hit rawhide.

Note You need to log in before you can comment on or make changes to this bug.